#ifndef jointinvengine_h
#define jointinvengine_h

#include <Inventor/engines/SoSubEngine.h>
#include <Inventor/fields/SoSFRotation.h>
#include <Inventor/fields/SoSFVec3f.h>

class JointInvEngine : public SoEngine {

  SO_ENGINE_ABSTRACT_HEADER(JointInvEngine);

 public:
  
  // Input fields:
	SoSFVec3f trans;
	SoSFRotation rot;

  // Output fields:
  SoEngineOutput val;  // (SoMFFloat) val

  static void initClass();

 protected:
  
  JointInvEngine();
  virtual ~JointInvEngine();
};

#endif
