#include "dist.h"

/* puma modes */
#define PLEFT 	0
#define PRIGHT	(1<<0)
#define PEDOWN	0
#define PEUP	(1<<1)
#define PWUP	0
#define PWDOWN	(1<<2)

extern	double	pmscale[6], pmaxtq[6];
extern	Frame3	pbase[3];
extern	int	fric;


/* puma.c */

void	pmass(double m[6][6], double g[6], double q[6]);
void	pdmodel(double m[6][6], double b[6][15], double c[6][6], double g[6],
		double q[6]);
void	pdyn(double qdd[6], double q[6], double qd[6], double t[6]);
void	pinvdyn(double t[6], double q[6], double qd[6], double qdd[6]);
void	pcct(double t[6], double b[6][15], double c[6][6], double qd[6]);
void	pkin(Frame3 f[7], Frame3 *b, double q[6]);
void	pendeff(Frame3 *f, double q[6]);
void	pjacobian(double J[6][6], double q[6]);
int	pinvkin(double q[6], Frame3 *f, int mode);
double	pke(double q[6], double qd[6]);
double	ppe(double q[6]);
void	pfric(double t[6], double qd[6]);
int	psim(double q[6], double qd[6], double tq[6], double t);


