#ifndef revjointengine_h
#define revjointengine_h

#include "jointengine.h"
#include <Inventor/fields/SoSFVec3f.h>

class RevJointEngine : public JointEngine {

  SO_ENGINE_HEADER(RevJointEngine);

 public:
  
  // Input fields:
  SoSFVec3f axis;

  static void initClass();
  RevJointEngine();

 protected:

  virtual ~RevJointEngine();
  virtual void evaluate();
};

#endif
