#include "jointengine.h"

#include <Inventor/fields/SoSFRotation.h>
#include <Inventor/fields/SoSFVec3f.h>

SO_ENGINE_ABSTRACT_SOURCE(JointEngine);

void JointEngine::initClass() {
  SO_ENGINE_INIT_ABSTRACT_CLASS(JointEngine, SoEngine, "Engine");
}

JointEngine::JointEngine() {
  SO_ENGINE_CONSTRUCTOR(JointEngine);

  SO_ENGINE_ADD_INPUT(val, (0.0));
  
  SO_ENGINE_ADD_OUTPUT(trans, SoSFVec3f);
  SO_ENGINE_ADD_OUTPUT(rot, SoSFRotation);
}

JointEngine::~JointEngine() {
}

