#include "planarjoint.h"

#include "planarjointengine.h"

SO_NODE_SOURCE(PlanarJoint);

void PlanarJoint::initClass() {
  SO_NODE_INIT_CLASS(PlanarJoint, Joint, "Joint");
}

PlanarJoint::PlanarJoint() {
  SO_NODE_CONSTRUCTOR(PlanarJoint);

  engine = new PlanarJointEngine;
  engine->ref();
  engine->val.connectFrom(&val);
  translation.connectFrom(&(engine->trans));
}

PlanarJoint::~PlanarJoint() {
}

