#include "planeorientjointengine.h"

#include <math.h>
#include <Inventor/fields/SoSFRotation.h>
#include <iostream.h>

SO_ENGINE_SOURCE(PlaneOrientJointEngine);

void PlaneOrientJointEngine::initClass() {
  SO_ENGINE_INIT_CLASS(PlaneOrientJointEngine, JointEngine, "JointEngine");
}

PlaneOrientJointEngine::PlaneOrientJointEngine() {
  SO_ENGINE_CONSTRUCTOR(PlaneOrientJointEngine);
}

PlaneOrientJointEngine::~PlaneOrientJointEngine() {
}

void PlaneOrientJointEngine::evaluate() {
  SbVec3f newTrans(val[0], val[1], 0);
	SbRotation newRot(SbVec3f(0, 0, 1), val[2]);


  SO_ENGINE_OUTPUT(trans, SoSFVec3f, setValue(newTrans));
	SO_ENGINE_OUTPUT(rot, SoSFRotation, setValue(newRot));
}
