#include "prisjoint.h"

#include "prisjointengine.h"

SO_NODE_SOURCE(PrisJoint);

void PrisJoint::initClass() {
  SO_NODE_INIT_CLASS(PrisJoint, Joint, "Joint");
}

PrisJoint::PrisJoint() {
  SO_NODE_CONSTRUCTOR(PrisJoint);

  SO_NODE_ADD_FIELD(axis, (0.0, 0.0, 0.0));

  engine = new PrisJointEngine;
  engine->ref();
  engine->val.connectFrom(&val);
  ((PrisJointEngine *)engine)->axis.connectFrom(&axis);
  translation.connectFrom(&(engine->trans));
}


PrisJoint::~PrisJoint() {
}
