#ifndef ObstacleKit_h
#define ObstacleKit_h

#include <Inventor/nodekits/SoBaseKit.h>
#include <Inventor/fields/SoSFNode.h>

#include <Inventor/SbLinear.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoTranslation.h>
#include <Inventor/nodes/SoRotation.h>
#include <Inventor/actions/SoCallbackAction.h>
#include <Inventor/SoPrimitiveVertex.h>

class ObstacleKit : public SoBaseKit {

   SO_KIT_HEADER(ObstacleKit);

   // Fields for parts:
  SO_KIT_CATALOG_ENTRY_HEADER(topSeparator);
  SO_KIT_CATALOG_ENTRY_HEADER(transform);
  SO_KIT_CATALOG_ENTRY_HEADER(shape);

 public:
  // Methods
  ObstacleKit();
  static void initClass();

 protected:
  virtual ~ObstacleKit();
};

#endif


































