#ifndef RN_H
#define RN_H

#include "SampleRandomConfig.h"
#include "RandDouble.h"

class Rn : public SampleRandomConfig {
  
public:
  Rn();
  Rn(long seed);

  void UniformSample(GenCoords *q);
  bool LocalUniformSample(const GenCoords& q0, double radius, GenCoords *q);
  bool LocalSample(const GenCoords& q0, double radius, GenCoords *q);
protected:
  RandDouble randSrc_;
};


#endif
