#ifndef baseivsimulator_h
#define baseivsimulator_h

#include "ivsimulator.h"
#include "Pose.h"

class SoTransform;
class SoSeparator;

class BaseIVSimulator : public IVSimulator {
public:
  BaseIVSimulator(SoSeparator *root_ = NULL);
  virtual ~BaseIVSimulator();

  virtual const Pose& GetBase();
  virtual void SetBase(const Pose& basePose_);

protected:

	Pose basePose[10];

	SoTransform *baseXform[10];
};

#endif
