#ifndef jointengine_h
#define jointengine_h

#include <Inventor/engines/SoSubEngine.h>
#include <Inventor/fields/SoMFFloat.h>

class JointEngine : public SoEngine {

  SO_ENGINE_ABSTRACT_HEADER(JointEngine);

 public:
  
  // Input fields:
  SoMFFloat val;

  // Output fields:
  SoEngineOutput trans;  // (SoSFVec3f) trans
  SoEngineOutput rot;    // (SoSFRotation) rot

  static void initClass();

 protected:
  
  JointEngine();
  virtual ~JointEngine();
};

#endif
