#ifndef prisjointengine_h
#define prisjointengine_h

#include "jointengine.h"
#include <Inventor/fields/SoSFVec3f.h>

class PrisJointEngine : public JointEngine {

  SO_ENGINE_HEADER(PrisJointEngine);

 public:
  
  // Input fields:
  SoSFVec3f axis;

  static void initClass();
  PrisJointEngine();

 protected:

  virtual ~PrisJointEngine();
  virtual void evaluate();
};

#endif
