#include "jointinvengine.h"

#include <Inventor/fields/SoMFFloat.h>

SO_ENGINE_ABSTRACT_SOURCE(JointInvEngine);

void JointInvEngine::initClass() {
  SO_ENGINE_INIT_ABSTRACT_CLASS(JointInvEngine, SoEngine, "Engine");
}

JointInvEngine::JointInvEngine() {
  SO_ENGINE_CONSTRUCTOR(JointInvEngine);

  SO_ENGINE_ADD_INPUT(trans, (0.0, 0.0, 0.0));
  SO_ENGINE_ADD_INPUT(rot, (0.0, 0.0, 0.0, 0.0));

  SO_ENGINE_ADD_OUTPUT(val, SoMFFloat);
  
}

JointInvEngine::~JointInvEngine() {
}
