#include "planarjointengine.h"

#include <math.h>
#include <Inventor/fields/SoSFRotation.h>
#include <iostream.h>

SO_ENGINE_SOURCE(PlanarJointEngine);

void PlanarJointEngine::initClass() {
  SO_ENGINE_INIT_CLASS(PlanarJointEngine, JointEngine, "JointEngine");
}

PlanarJointEngine::PlanarJointEngine() {
  SO_ENGINE_CONSTRUCTOR(PlanarJointEngine);
}

PlanarJointEngine::~PlanarJointEngine() {
}

void PlanarJointEngine::evaluate() {
	SbVec3f newTrans(val[0], val[1], 0);

  SO_ENGINE_OUTPUT(trans, SoSFVec3f, setValue(newTrans));
}
