#include "planeorientjoint.h"

#include "planeorientjointengine.h"

SO_NODE_SOURCE(PlaneOrientJoint);

void PlaneOrientJoint::initClass() {
  SO_NODE_INIT_CLASS(PlaneOrientJoint, Joint, "Joint");
}

PlaneOrientJoint::PlaneOrientJoint() {
  SO_NODE_CONSTRUCTOR(PlaneOrientJoint);

  engine = new PlaneOrientJointEngine;
  engine->ref();
  engine->val.connectFrom(&val);
  translation.connectFrom(&(engine->trans));
	rotation.connectFrom(&(engine->rot));
}


PlaneOrientJoint::~PlaneOrientJoint() {
}

