#include "prisjointengine.h"

SO_ENGINE_SOURCE(PrisJointEngine);

void PrisJointEngine::initClass() {
  SO_ENGINE_INIT_CLASS(PrisJointEngine, JointEngine, "JointEngine");
}

PrisJointEngine::PrisJointEngine() {
  SO_ENGINE_CONSTRUCTOR(PrisJointEngine);

  SO_ENGINE_ADD_INPUT(axis, (0.0, 0.0, 0.0));
}

PrisJointEngine::~PrisJointEngine() {
}

void PrisJointEngine::evaluate() {
  SbVec3f newTrans = val[0] * axis.getValue();

  SO_ENGINE_OUTPUT(trans, SoSFVec3f, setValue(newTrans));
}
