#include "revjoint.h"

#include <iostream.h>
#include "revjointengine.h"

SO_NODE_SOURCE(RevJoint);

void RevJoint::initClass() {
  SO_NODE_INIT_CLASS(RevJoint, Joint, "Joint");
}

RevJoint::RevJoint() {
  SO_NODE_CONSTRUCTOR(RevJoint);

  SO_NODE_ADD_FIELD(axis, (0.0, 0.0, 0.0));

  engine = new RevJointEngine;
  engine->ref();
  engine->val.connectFrom(&val);
  ((RevJointEngine *)engine)->axis.connectFrom(&axis);
  rotation.connectFrom(&(engine->rot));
}


RevJoint::~RevJoint() {
}
